Parking Help Centre

Older Browsers

Our secure car park booking website site does not support older versions of the Microsoft Internet Explorer browser.

Versions 8 and earlier are no longer supported by Microsoft and do not contain some of the more advanced security features contained in modern browsers. Please use Internet Explorer version 9 or later.

Alternatively, Mobile Devices, Firefox, Chrome or Safari are good choices and will work fine with our booking site.

Some of the symptoms of using an older browser on our site include:
  • Date & time picker will not work - you cannot select your entry exit time.